package co.com.certicamara.dto;

public class EntidadRespuestaError {

	private String faultCode;
	private String faultString;
	private String errorMessage;
	private String exception;
	private int statusCode;
	private String resultMajor;
	private String resultMinor;
	private String resultMessage;

	public EntidadRespuestaError(String faultCode, String faultString, String errorMessage,
			String exception, int statusCode, String resultMajor, String resultMinor, String resultMessage) {
		this.faultCode = faultCode;
		this.faultString = faultString;
		this.errorMessage = errorMessage;
		this.exception = exception;
		this.statusCode = statusCode;
		this.resultMajor = resultMajor;
		this.resultMinor = resultMinor;
		this.resultMessage = resultMessage;
	}

//	public EntidadRespuestaError(int statusCode, String errorMessage, String exception) {
//		this(Integer.toString(statusCode), "", errorMessage, exception, statusCode, "", "", "");
//	}

	public EntidadRespuestaError(String faultCode, String faultString, String errorMessage) {
		this.errorMessage = errorMessage;
		this.faultCode = faultCode;
		this.faultString = faultString;
	}

//	public EntidadRespuestaError(int statusCode, String resultMajor, String resultMinor, String resultMessage) {
//		this(Integer.toString(statusCode), "",  "", null, statusCode, resultMajor, resultMinor, resultMessage);
//	}

	public String getFaultCode() {
		return faultCode;
	}

	public void setFaultCode(String faultCode) {
		this.faultCode = faultCode;
	}

	public String getFaultString() {
		return faultString;
	}

	public void setFaultString(String faultString) {
		this.faultString = faultString;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public String getException() {
		return exception;
	}

	public void setException(String exception) {
		this.exception = exception;
	}

	public int getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}

	public String getResultMajor() {
		return resultMajor;
	}

	public void setResultMajor(String resultMajor) {
		this.resultMajor = resultMajor;
	}

	public String getResultMinor() {
		return resultMinor;
	}

	public void setResultMinor(String resultMinor) {
		this.resultMinor = resultMinor;
	}

	public String getResultMessage() {
		return resultMessage;
	}

	public void setResultMessage(String resultMessage) {
		this.resultMessage = resultMessage;
	}

}
