package co.com.certicamara.modelos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class RespuestaLecturaModelo {

	@XmlElement(name = "result", namespace = "http://www.safelayer.com/TWS")
	private String resultado;

	@XmlElement(name = "totalElements", namespace = "http://www.safelayer.com/TWS")
	private int totalElementos;

	@XmlElement(name = "numElements", namespace = "http://www.safelayer.com/TWS")
	private int numElementos;

	@XmlElement(name = "startAt", namespace = "http://www.safelayer.com/TWS")
	private int inicioAt;

	@XmlElement(name = "endAt", namespace = "http://www.safelayer.com/TWS")
	private int finAt;

	@XmlElement(name = "end", namespace = "http://www.safelayer.com/TWS")
	private boolean fin;

	@XmlElement(name = "data", namespace = "http://www.safelayer.com/TWS")
	private DatosModelo datos;

	public String getResultado() {
		return resultado;
	}

	public void setResultado(String resultado) {
		this.resultado = resultado;
	}

	public int getTotalElementos() {
		return totalElementos;
	}

	public void setTotalElementos(int totalElementos) {
		this.totalElementos = totalElementos;
	}

	public int getNumElementos() {
		return numElementos;
	}

	public void setNumElementos(int numElementos) {
		this.numElementos = numElementos;
	}

	public int getInicioAt() {
		return inicioAt;
	}

	public void setInicioAt(int inicioAt) {
		this.inicioAt = inicioAt;
	}

	public int getFinAt() {
		return finAt;
	}

	public void setFinAt(int finAt) {
		this.finAt = finAt;
	}

	public boolean isFin() {
		return fin;
	}

	public void setFin(boolean fin) {
		this.fin = fin;
	}

	public DatosModelo getDatos() {
		return datos;
	}

	public void setDatos(DatosModelo datos) {
		this.datos = datos;
	}	
}
